- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CPoint Struct Reference

`#include <vstgui.h>`

List of all members.

## Public Member Functions
| CPoint (CCoord h=0, CCoord v=0)
CPoint & | operator() (CCoord h, CCoord v)
bool | isInside (CRect &r) const
bool | operator!= (const CPoint &other) const
bool | operator== (const CPoint &other) const
CPoint & | offset (CCoord h, CCoord v)

## Constructor & Destructor Documentation

CPoint::CPoint | ( | CCoord | h = `0`,
|  | CCoord | v = `0`
| ) | `[inline]`

## Member Function Documentation

bool CPoint::isInside | ( | CRect & | r | ) | const`[inline]`

CPoint& CPoint::offset | ( | CCoord | h,
|  | CCoord | v
| ) | `[inline]`

bool CPoint::operator!= | ( | const CPoint & | other | ) | const`[inline]`

CPoint& CPoint::operator() | ( | CCoord | h,
|  | CCoord | v
| ) | `[inline]`

bool CPoint::operator== | ( | const CPoint & | other | ) | const`[inline]`

## Member Data Documentation

CCoord CPoint::h

CCoord CPoint::v

CCoord CPoint::x

CCoord CPoint::y

The documentation for this struct was generated from the following file:

- vstgui.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.